ROLLBACK(7)

NAME
ROLLBACK - abort the current transaction

SYNOPSIS

ROLLBACK [ WORK | TRANSACTION ]

  INPUTS

None.

  OUTPUTS

ABORT
    Message returned if successful.

NOTICE: ROLLBACK: no transaction in progress
    If there is not any transaction currently in progress.

DESCRIPTION

ROLLBACK rolls back the current transaction and causes all the updates made by the transaction to be discarded.

  NOTES

Use COMMIT [commit(7)] to successfully terminate a transaction. ABORT [abort(7)] is a synonym for ROLLBACK.

USAGE

To abort all changes:

ROLLBACK WORK;

COMPATIBILITY

  SQL92

SQL92 only specifies the two forms ROLLBACK and ROLLBACK WORK. Otherwise full compatibility.